### Function

# WPEPlatform Display get_primary

#### Declaration [src]

    WPEDisplay*
    wpe_display_get_primary (
      void
    )

#### Description [src]

Get the primary display. By default, the first `WPEDisplay` that is created is set as primary display. This is the desired behavior in most of the cases, but you can set any `WPEDisplay` as primary calling `wpe_display_set_primary()` if needed.

#### Return value

Type: `WPEDisplay`

The primary display or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.